{
  "schema_version": "1.4.0",
  "id": "GHSA-vxfh-2pc2-vcmc",
  "modified": "2022-05-17T01:54:55Z",
  "published": "2022-05-17T01:54:55Z",
  "aliases": [
    "CVE-2011-2511"
  ],
  "details": "Integer overflow in libvirt before 0.9.3 allows remote authenticated users to cause a denial of service (libvirtd crash) and possibly execute arbitrary code via a crafted VirDomainGetVcpus RPC call that triggers memory corruption.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-2511"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2011:1019"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2011:1197"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2011-2511"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=717199"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/68271"
    },
    {
      "type": "WEB",
      "url": "https://hermes.opensuse.org/messages/10027908"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/libvir-list/2011-June/msg01278.html"
    },
    {
      "type": "WEB",
      "url": "http://libvirt.org/news.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-July/062515.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.fedoraproject.org/pipermail/package-announce/2011-July/062855.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45375"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45441"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/45446"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2011/dsa-2280"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/06/28/9"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2011-1019.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2011-1197.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1025822"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1180-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-08-10T20:55:00Z"
  }
}